Bug 80752 - (IDE)cdrom drive non properly recognized during boot up if empty
(IDE)cdrom drive non properly recognized during boot up if empty
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-30 16:55 EST by giacomo caio
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giacomo caio 2002-12-30 16:55:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Some days ago I installed my brand new RH 8.0 (psyche) OS. Now, in my system I
got one DVD/cdrom drive, one cdrw drive and one zip drive as follows (as per fstab):

LABEL=/          /                   ext3    defaults        1 1
none             /dev/pts            devpts  gid=5,mode=620  0 0
LABEL=/home      /home               ext3    defaults        1 2
none             /proc               proc    defaults        0 0
none             /dev/shm            tmpfs   defaults        0 0
/dev/hda6        swap                swap    defaults        0 0
/dev/hda1	 /mnt/windows        ntfs   auto,umask=0222,ro 0 0
/dev/hdb4        /mnt/zip            auto   noauto,owner,kudzu 0 0
/dev/fd0         /mnt/floppy         auto   noauto,owner,kudzu 0 0
/dev/cdrom1      /mnt/cdrom1         iso9660 noauto,owner,kudzu,ro 0 0
/dev/cdrom       /mnt/cdrom          iso9660 noauto,owner,kudzu,ro 0 0

of course, /dev/cdrom and /dev/cdrom1 are two symbolic links

[root@localhost root]# ls -l /dev/cdrom*
lrwxrwxrwx    1 root   root   8 dic 30 19:59 /dev/cdrom -> /dev/hdd
lrwxrwxrwx    1 root   root   9 dic 29 21:19 /dev/cdrom1 -> /dev/scd0

When I boot the system up with a cd inside the DVD/cdrom drive, everything goes
smooth.  Here you got the corresponding dmesg section about IDE:

Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: chipset revision 16
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c686a (rev 22) IDE UDMA66 controller on pci00:07.1
    ide0: BM-DMA at 0xc000-0xc007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xc008-0xc00f, BIOS settings: hdc:DMA, hdd:DMA
hda: QUANTUM FIREBALLP LM20.5, ATA DISK drive
hdb: IOMEGA ZIP 100 ATAPI Floppy, ATAPI FLOPPY drive
hdc: SHUTTLE, ATAPI CD/DVD-ROM drive
hdd: LG DVD-ROM DRD-8160B, ATAPI CD/DVD-ROM drive
ide2: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 40132503 sectors (20548 MB) w/1900KiB Cache, CHS=2498/255/63, UDMA(66)
ide-floppy driver 0.99.newide
hdb: No disk in drive
hdb: 98304kB, 96/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm

Now, when I boot up without a cd in my DVD/cdrom drive, it seems that the kernel
have some kind of problem recognizing the drive. Here is the dmesg, in this case:

Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: chipset revision 16
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c686a (rev 22) IDE UDMA66 controller on pci00:07.1
    ide0: BM-DMA at 0xc000-0xc007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xc008-0xc00f, BIOS settings: hdc:DMA, hdd:DMA
hda: QUANTUM FIREBALLP LM20.5, ATA DISK drive
hdb: IOMEGA ZIP 100 ATAPI Floppy, ATAPI FLOPPY drive
hdc: SHUTTLE, ATAPI CD/DVD-ROM drive
hdd: LG DVD-ROM DRD-8160B, ATAPI CD/DVD-ROM drive
hdd: set_drive_speed_status: status=0x00 { }
ide1: Drive 1 didn't accept speed setting. Oh, well.
ide2: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 40132503 sectors (20548 MB) w/1900KiB Cache, CHS=2498/255/63, UDMA(66)
ide-floppy driver 0.99.newide
hdb: No disk in drive
hdb: 98304kB, 96/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm

and ahead

hdd: status error: status=0x00 { }
end_request: I/O error, dev 16:40 (hdd), sector 0
hdd: status error: status=0x00 { }
hdd: status error: status=0x00 { }
hdd: status error: status=0x00 { }
hdd: status error: status=0x00 { }
hdd: ATAPI reset complete
hdd: status error: status=0x00 { }
hdd: status error: status=0x00 { }
hdd: status error: status=0x00 { }
hdd: status error: status=0x00 { }
hdd: ATAPI reset complete
hdd: status error: status=0x00 { }
end_request: I/O error, dev 16:40 (hdd), sector 0

The first group of lines appears also during the boot up sequence. As you can
see there is some kind of drive speed settings problem. At that point the cdrom
drive stop responding. In most cases the drive remains blocked and I can't even
open it. But even when I can insert a data CD inside it the mounting is
impossible. Whatever the mounting command I use, the answer is always "/dev/hdd
(or /dev/cdrom) is not a valid block device".
I even tried to add the following line at the end of kernel section in my grub.conf:
/hdd=ide-scsi
just to see if it will works as scsi emulated drive. Same results.

I reached the limits of my linux knowledge (very limited, to say the truth).
Could somebody help me out?

Thanks in advance for your cooperation.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Boot system up without any cd in cdrom drive
2.
3.
    

Actual Results:  cdrom become unmountable. The answer is always "not a valid
block device".

Expected Results:  cdrom working normally

Additional info:

See message above
Comment 1 giacomo caio 2003-01-03 06:47:25 EST
Is anyone out there?
Comment 2 Alan Cox 2003-01-03 07:46:04 EST
Nobody out there at all 8)

From the trace it appears that with no disk in the drive the drive refuses to
allow speed set/query (strange but I guess not completely insane) unfortunately
from the traces it then goes bananas.

I've not seen any similar reports before at all.

Booted with a disk in both drives continue to function happily ?
Comment 3 giacomo caio 2003-01-06 15:59:45 EST
Yes, with a disk inside everything goes happily and shiningly. As a matter of
fact, I'm always leaving a disk in the drive but I don't think that this is the
best way to face the problem. After all I'm not solving anything...
Comment 4 Sean O'Connell 2003-01-07 19:28:18 EST
I was having a problem with a machine with an MSI motherboard which has onboard
VIA vt8235 controller with a seagate ide drive (st340016a) and an empty (though,
this doesn't seem to matter) sony cdrom (cdu5211). I was able to happily
kickstart the machine (rh7.3 with 2.4.18-18.7.x kernel off of a local patched
install server), but on reboot, it would hang after "Enabling swap". So after
much fiddling, i booted the machine by appending init=/bin/bash in grub. I then
started walking through /etc/rc.d/rc.sysinit. i hit the place where rh disables
dma on the cdrom devices, so i did

/sbin/hdparm -q -d0 /dev/hdc

all heck broke loose with lots of lost interrupts and all manner of pain (eve if
i do this by hand with a data cdrom in there i get lots of lost interrupts and
drive not being ready). i shutdown and yanked the cdrom from controller, and i
was able to boot the os just fine. if i comment out the section in there, i can
boot fine and have a cdrom. it seems that this portion of the rc.sysinit may
need to be protected from the vp_ide devices.
Comment 5 Alan Cox 2003-01-07 19:31:50 EST
Sean - different bug so can you open another bug for it, rather than get two
confused - thanks.

(File it against 'initscripts' as that is what owns those boot scripts)
Comment 6 Sean O'Connell 2003-01-07 22:09:23 EST
alan- i have opened up bug 81324 covering initscripts. thanks!
Comment 7 giacomo caio 2003-02-08 14:05:34 EST
C'mon guys, I've waited more than a month down here! How is it possible that 
nobody knows how to fix this??
Please
Comment 8 Alan Cox 2003-02-08 18:38:17 EST
You have apparently the only machine in the world with a bug which may be
dependant on precise combinations of controller and firmware.  That makes it non
trivial to fix and fairly low priority. Quite a bit of IDE work has been done
since that release, but I cannot say whether it will fix your problem or not I'm
afraid.

Comment 9 Bugzilla owner 2004-09-30 11:40:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.